Subject: bug#59113: closed (Re: [PATCH 0/9] gnu: gwcs: Fix build, update to 0.18.12)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Nov 2022 14:29:03 +0000

Your bug report

#59113: [PATCH 0/9] gnu: gwcs: Fix build, update to 0.18.12

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59113: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59113
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/9] gnu: gwcs: Fix build, update to 0.18.12
From: Christopher Baines <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Nov 2022 14:27:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Sharlatan Hellseher <[email-masked]> writes:

> Hi Chris,
>
> Thanks for checking it.
>
> If it's posible to merge the chain for x86_64 it would be nice to have
> at least one working architecture. Meanwhile I'll check builds for
> others and open upstream issues if required.

Sure, I've pushed to master now as
4d05c5fa57fe768e4d2ed760fa3aee05d72becb5 with a few minor changes.

Thanks,

Chris

Subject: [PATCH 0/9] gnu: gwcs: Fix build, update to 0.18.12
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Mon, 7 Nov 2022 23:02:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix team!

This is the last series of patches fixing the issue
https://issues.guix.gnu.org/58586.

Thanks to Christopher who pushed https://issues.guix.gnu.org/58530 I am about
to prepare SunPy. I've got in my Sourcehut repository and it passed lint,
build and most of the tests (99.9%)!

> ./pre-inst-env guix build python-asdf  python-asdf-astropy python-asdf-standard python-gwcs --rounds=2
> /gnu/store/42js0gh3lbab0b3vjnx5w8dhw73lbjw2-python-gwcs-0.18.2
> /gnu/store/8b9fgspqxri2gcybsmh71mwji8p1ldnf-python-asdf-standard-1.0.3
> /gnu/store/n615wfm08i4yv17ggvl6il7v12k1p12w-python-asdf-astropy-0.2.2
> /gnu/store/y423ky9wgn0470x7rsqddkgly3cjl158-python-asdf-2.13.0

Sharlatan Hellseher (9):
  gnu: Add asdf-standard
  gnu: Add asdf-unit-schemas
  gnu: Add asdf-fits-schemas
  gnu: Add asdf-time-schemas
  gnu: asdf-transform-schemas: Update to 0.3.0
  gnu: python-asdf: Update to 2.13.0
  gnu: python-asdf: Sync test disable comment
  gnu: asdf-astropy: Update to 0.2.2
  gnu: gwcs: Fix build, update to 0.18.2

 gnu/packages/astronomy.scm | 226 +++++++++++++++++++++++++++++--------
 1 file changed, 178 insertions(+), 48 deletions(-)

base-commit: 8e54584d4448d37ddf8ae995bb545a181ba2493c
-- 
2.38.0